FreeBSD : ident2 double byte buffer overflow (99230277-8fb4-11d8-8b29-0020ed76ef5a)

High Nessus Plugin ID 36517


The remote FreeBSD host is missing a security-related update.


Jack of RaptureSecurity reported a double byte buffer overflow in ident2. The bug may allow a remote attacker to execute arbitrary code within the context of the ident2 daemon. The daemon typically runs as user-ID `nobody', but with group-ID `wheel'.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 36517

File Name: freebsd_pkg_992302778fb411d88b290020ed76ef5a.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2009/04/23

Modified: 2015/08/20

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:ident2, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2004/04/23

Vulnerability Publication Date: 2004/04/15

Reference Information

CVE: CVE-2004-0408